commit a2beaebecd58da2a411caba7172fa568e1ad5e48
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 12 02:18:06 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4cf952ce22d..cffca645a16 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210811
+20210812
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 3049653fb4c..5951b836756 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,43 @@
+2021-08-11  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-08-11  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/101725
+	DR 2082
+	* cp-tree.h (unevaluated_p): Return true for REQUIRES_EXPR.
+	* decl.c (local_variable_p_walkfn): Don't walk into unevaluated
+	operands.
+	* parser.c (cp_parser_primary_expression) <case CPP_NAME>: Never
+	reject uses of local variables in unevaluated contexts.
+	* tree.c (cp_walk_subtrees) <case REQUIRES_EXPR>: Increment
+	cp_unevaluated_operand.  Use cp_walk_tree directly instead of
+	WALK_SUBTREE to avoid the goto.  Use REQUIRES_EXPR_REQS instead
+	of TREE_OPERAND directly.
+
+2021-08-11  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-08-02  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/100828
+	* logic.cc (formula::formula): Use emplace_back instead of
+	push_back.
+	(formula::branch): Insert a copy of m_current directly after
+	m_current instead of at the end of the list.
+	(formula::erase): Define.
+	(decompose_formula): Remove.
+	(decompose_antecedents): Remove.
+	(decompose_consequents): Remove.
+	(derive_proofs): Remove.
+	(max_problem_size): Remove.
+	(diagnose_constraint_size): Remove.
+	(subsumes_constraints_nonnull): Rewrite directly in terms of
+	decompose_clause and derive_proof, interleaving decomposition
+	with implication checking.  Remove limit on constraint complexity.
+	Use formula::erase to free the current clause before moving on to
+	the next one.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index f4c61fa5c61..bc25c87f68d 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,19 @@
+2021-08-11  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-07-28  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/101564
+	* expr.c (gfc_check_vardef_context): Add check for KIND and LEN
+	parameter inquiries.
+	* match.c (gfc_match): Fix comment for %v code.
+	(gfc_match_allocate, gfc_match_deallocate): Replace use of %v code
+	by %e in gfc_match to allow for function references as STAT and
+	ERRMSG arguments.
+	* resolve.c (resolve_allocate_deallocate): Avoid NULL pointer
+	dereferences and shortcut for bad STAT and ERRMSG argument to
+	(DE)ALLOCATE.  Remove bogus parts of checks for STAT and ERRMSG.
+
 2021-07-28  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f70267e1266..cfd637caa4d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,24 @@
+2021-08-11  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-08-11  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/101725
+	DR 2082
+	* g++.dg/DRs/dr2082.C: New test.
+	* g++.dg/cpp2a/concepts-uneval4.C: New test.
+
+2021-08-11  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-07-28  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/101564
+	* gfortran.dg/allocate_stat_3.f90: New test.
+	* gfortran.dg/allocate_stat.f90: Adjust error messages.
+	* gfortran.dg/implicit_11.f90: Likewise.
+	* gfortran.dg/inquiry_type_ref_3.f90: Likewise.
+
 2021-08-06  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 044150231cc..f4a5b0bc37a 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,120 @@
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101866
+	* testsuite/experimental/random/randint.cc: Loop and retry if
+	reseed() produces the same sequence.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-20  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101510
+	* src/c++17/fs_ops.cc (fs::create_directories): Use status
+	instead of symlink_status.
+	* src/filesystem/ops.cc (fs::create_directories): Likewise.
+	* testsuite/27_io/filesystem/operations/create_directories.cc:
+	Check symlink to existing directory.
+	* testsuite/27_io/filesystem/operations/create_directory.cc: Do
+	not test with symlinks on Windows.
+	* testsuite/experimental/filesystem/operations/create_directories.cc:
+	Check symlink to existing directory.
+	* testsuite/experimental/filesystem/operations/create_directory.cc:
+	Do not test with symlinks on Windows.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-20  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101510
+	* src/c++17/fs_ops.cc (create_dir): Adjust whitespace.
+	* testsuite/27_io/filesystem/operations/create_directory.cc:
+	Test creating directory with name of existing symlink to
+	directory.
+	* testsuite/experimental/filesystem/operations/create_directory.cc:
+	Likewise.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-06-14  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101056
+	* libsupc++/compare (compare_partial_order_fallback): Add
+	constraint using reversed parameter order, as per LWG 3465.
+	* testsuite/18_support/comparisons/algorithms/fallback.cc:
+	Adjust expected result.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-06-14  Jonathan Wakely  <jwakely@redhat.com>
+
+	* libsupc++/compare (__decayed_same_as): New helper concept.
+	(strong_order, weak_order, partial_order): Constrain with new
+	concept instead of using static_assert.
+	(compare_strong_order_fallback, compare_weak_order_fallback)
+	(compare_partial_order_fallback): Likewise. Do not deduce return
+	types. Remove redundant if-constexpr checks.
+	* testsuite/18_support/comparisons/algorithms/fallback.cc: New test.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-01  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/doxygen/doxygroups.cc: Fix docs for std::literals.
+	* doc/doxygen/user.cfg.in: Exclude the Networking TS header.
+	Add some more predefined macros.
+	* include/bits/fs_fwd.h: Move @addtogroup commands inside
+	namespaces. Add better documentation.
+	* include/bits/fs_path.h: Likewise.
+	* include/experimental/bits/fs_fwd.h: Likewise.
+	* include/experimental/bits/fs_path.h: Likewise.
+	* include/ext/throw_allocator.h: Fix typo and improve docs.
+	* include/std/chrono: Move @addtogroup commands.
+	* include/std/system_error: Move @addtogroup commands.
+	* libsupc++/exception: Improve documentation.
+	* libsupc++/exception.h: Add @since documentation.
+
+2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-06-30  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101258
+	* doc/doxygen/user.cfg.in (INPUT): Add <experimental/simd>.
+	(COLS_IN_ALPHA_INDEX): Remove obsolete tag.
+	(PREDEFINED): Add/fix some more macros that need to be expanded.
+	* include/bits/random.h: Stop Doxygen from documenting internal
+	implementation details.
+	* include/bits/random.tcc: Likewise.
+	* include/bits/this_thread_sleep.h: Fix @file name.
+	* include/experimental/bits/simd.h: Add to Doxygen group. Do not
+	document internal implementation details.
+	* include/experimental/bits/simd_detail.h: Do not document
+	internal implementation details.
+	* include/experimental/simd: Define Doxygen groups.
+	* include/experimental/type_traits: Improve documentation for
+	the header file. Define groups. Use @since commands.
+	* include/std/scoped_allocator (scoped_allocator_adaptor): Move
+	declaration before undocumented region.
+	* include/std/type_traits (true_type, false_type): Use using
+	declaration instead of typedef.
+	(is_invocable_v, is_nothrow_invocable_v, is_invocable_r_v)
+	(is_nothrow_invocable_r_v): Move definitions next to other C++17
+	variable templates.
+	Do not document internal implementation details. Move misplaced
+	group-end command. Define group for variable templates.
+	* include/std/variant: Do not document internal implementation
+	details.
+	* testsuite/26_numerics/random/pr60037-neg.cc: Adjust dg-error
+	line number.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.

